package com.yihu.wlyy.repository.statistics;

/**
 * Created by Administrator on 2016.08.19.
 */

import com.yihu.wlyy.entity.patient.SignFamilyCode;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


public interface WlyySignFamilyCodeDao  extends PagingAndSortingRepository<SignFamilyCode, String>, JpaSpecificationExecutor<SignFamilyCode> {
    @Query(" FROM SignFamilyCode a WHERE a.orgCode =?1 ")
    SignFamilyCode findByOrgCode(String hospital);

    @Query(" FROM SignFamilyCode a WHERE a.orgCode =?1 and a.year=?2 ")
    SignFamilyCode findByOrgCodeAndYear(String hospital, String year);
}
